package com.suse.tracecompass.cpugraph;

import java.util.ArrayList;
import java.util.List;

import org.eclipse.linuxtools.lttng2.kernel.core.trace.LttngKernelTrace;
import org.eclipse.linuxtools.tmf.ui.widgets.timegraph.model.ITimeEvent;
import org.eclipse.linuxtools.tmf.ui.widgets.timegraph.model.TimeGraphEntry;

public class CpuGraphEntry extends TimeGraphEntry {

    private final LttngKernelTrace fTrace;
    private List<ITimeEvent> fEventBuffer = new ArrayList<>();

    public CpuGraphEntry(String name, LttngKernelTrace trace) {
        super(name, -1, -1);
        fTrace = trace;
    }

    public LttngKernelTrace getTrace() {
        return fTrace;
    }

    public List<ITimeEvent> getEventBuffer() {
        return fEventBuffer;
    }

}
