package com.suse.tracecompass.cpugraph;

import org.eclipse.linuxtools.tmf.ui.widgets.timegraph.model.ITimeEvent;
import org.eclipse.linuxtools.tmf.ui.widgets.timegraph.model.ITimeGraphEntry;
import org.eclipse.linuxtools.tmf.ui.widgets.timegraph.model.TimeEvent;

class CpuGraphEvent extends TimeEvent /* implements Comparable<TimeEvent> */ {
    public int state;
    public int cpuid;
    public int y, h;
    public int x1, x2;
    public long iter = 0;
    public CpuGraphEvent next = null;
    public CpuGraphEvent prev = null;

    public CpuGraphEvent(ITimeGraphEntry entry, long time, long duration, int state, int cpuid) {
        super(entry, time, duration);
        this.state = state;
        this.cpuid = cpuid;
    }

    public static class Comparator implements java.util.Comparator<ITimeEvent> {
        @Override
        public int compare(ITimeEvent left, ITimeEvent right) {
            // can't safely downcast from long
            if (left.getTime() < right.getTime())
                return -1;
            if (left.getTime() > right.getTime())
                return 1;
            return 0;
        }
    }

    public static final Comparator COMPARATOR = new Comparator();
}