package com.suse.tracecompass.cpugraph;

import org.eclipse.linuxtools.lttng2.kernel.core.trace.LttngKernelTrace;

public class ProcessEntry extends CpuGraphEntry implements Comparable<ProcessEntry> {

    public int pid;

    public ProcessEntry(String name, LttngKernelTrace trace, int pid) {
        super(name, trace);
        this.pid = pid;
    }

    @Override
    public int compareTo(ProcessEntry entry) {
        int names = getName().compareTo(entry.getName());
        if (names != 0)
            return names;
        return pid - entry.pid;
    }

    @Override
    public int hashCode() {
        return getName().hashCode() + pid;
    }
}
